--- freeradius-1.1.2/src/modules/rlm_sql/drivers/rlm_sql_mysql/sql_mysql.c	2006-10-20 09:24:26.000000000 +0200
+++ freeradius-1.1.2.s/src/modules/rlm_sql/drivers/rlm_sql_mysql/sql_mysql.c	2006-10-20 13:55:52.000000000 +0200
@@ -82,7 +82,7 @@
 						    config->sql_db,
 						    atoi(config->sql_port),
 						    NULL,
-						    CLIENT_FOUND_ROWS))) {
+						    CLIENT_FOUND_ROWS|CLIENT_MULTI_RESULTS))) {
 		radlog(L_ERR, "rlm_sql_mysql: Couldn't connect socket to MySQL server %s@%s:%s", config->sql_login, config->sql_server, config->sql_db);
 		radlog(L_ERR, "rlm_sql_mysql: Mysql error '%s'", mysql_error(&mysql_sock->conn));
 		mysql_sock->sock = NULL;
@@ -308,6 +308,10 @@
 	if (mysql_sock->result) {
 		mysql_free_result(mysql_sock->result);
 		mysql_sock->result = NULL;
+		while(!mysql_next_result(mysql_sock)){
+			mysql_free_result(mysql_sock->result);
+			mysql_sock->result = NULL;
+		}
 	}
 
 	return 0;
